Subject: bug#45413: Password exposure on SSH login

From: "Pedro J. V. Mendes" <[email-masked]>
Date: Fri, 25 Dec 2020 12:01:36 +0000

OK, (only) after starting with emacs -Q does the password prompt (and 
the focus) appear at the mini-buffer.

On 25/12/20 11:48, Daniel Martín wrote:
> "Pedro J. V. Mendes" <[email-masked]> writes:
>
> [Don't forget to CC the bug tracker address so that the entire
> conversation gets tracked. Thanks.]
>
>> Hello, and happy Xmas!
>>
>> I give you snapshot of a minimal session exposing the problem.
>>
>> When I was typing the password, the characters were showing in
>> normal-face, and after pressing Enter they turned to bold-face, like
>> the previous "ssh" command.
> Do you see at the bottom of the screen a minibuffer prompt that asks for
> the password?  If you enter the password in that minibuffer prompt (not
> in the shell buffer), it should replace characters with asterisks.  Make
> sure you didn't accidentally switch from the minibuffer to the shell
> buffer.
>
> [Screenshot showing the problem, from the OP]
>
>
> Hm, it looks like a regular "Password:" OpenSSH prompt that should
> already be handled correctly, unless I'm missing something.  Does this
> happen when you start Emacs as "emacs -Q" too?
>
>> After that both the "ssh" command and the password were recorded into
>> the history.
>>
>> I hope this helps.
>>